[Regression] WikiEditor can't be disabled on 1.20wmf1 / mediawiki.org
Closed, ResolvedPublic

Description

Bug 30796 only asked for removing the preference for the dialogs, but https://gerrit.wikimedia.org/r/#change,4339 removed the preference for the toolbar as well. So now there is no way to turn the toolbar off, even the preference "Show edit toolbar" is ignored.


Version: unspecified
Severity: major

bzimport added a project: WikiEditor.Via ConduitNov 22 2014, 12:12 AM
bzimport set Reference to bz35879.
Schnark created this task.Via LegacyApr 11 2012, 7:40 AM
bzimport added a comment.Via ConduitApr 11 2012, 10:13 AM

beau wrote:

*** Bug 35881 has been marked as a duplicate of this bug. ***

bzimport added a comment.Via ConduitApr 11 2012, 12:39 PM

wikimedia wrote:

I would like to use the old edittoolbar. I got the same problem even if I disable "Show edit toolbar (requires JavaScript)" (then, there should actually neither the WikiEditor nor the standard edittoolbar be shown).

Nischayn22 added a comment.Via ConduitApr 11 2012, 1:49 PM

Re-added the preference for toolbar in https://gerrit.wikimedia.org/r/#change,4707 There had been some confusion in change 4339.

RobLa-WMF added a comment.Via ConduitApr 16 2012, 8:50 PM

This *should* have been fixed by https://gerrit.wikimedia.org/r/#change,4707 , but Roan tells me this might be a configuration issue. He's looking into it now.

Catrope added a comment.Via ConduitApr 24 2012, 1:07 AM

Fixed in https://gerrit.wikimedia.org/r/#change,5135 by reverting all the recent WikiEditor changes. Deployed and confirmed on the live site.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.